Subject: linux-next: build failure after merge of the hid tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 3 Dec 2021 18:01:24 +1100

Hi all,

After merging the hid tree, today's linux-next build (sparc defconfig)
failed like this:

hid-chicony.c:(.text+0x4): undefined reference to `usb_hid_driver'
hid-chicony.c:(.text+0xc): undefined reference to `usb_hid_driver'

Caused by commit

  93020953d0fa ("HID: check for valid USB device for many HID drivers")

I have marked CONFIG_HID_CHICONY as BROKEN for now.

-- 
Cheers,
Stephen Rothwell